	program main
	include 'mpif.h'
	integer ierr, version, subversion
	call MPI_INIT(ierr)
	call MPI_GET_VERSION(version, subversion, ierr)
	print *, 'Hello world!'
	print *, 'Your MPI Version is: ', version, '.', subversion
	call MPI_FINALIZE(ierr)
	end
